
%define _requires_exceptions libtiff.so.4
%define oname slimjet

Summary:	Slimjet Web Browser
Name:		slimjet-browser
Version:	42.0.3.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.slimjet.com/en/
Source1:	flashpeak-slimjet
Source2:	slimjet.desktop
Source3:	slimjet.png
Source4: libffmpeg.so
Provides: webclient
Requires: indexhtml
Requires: xdg-utils
Obsoletes: %{name} < %version
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv: no
Obsoletes: flashpeak-slimjet
Provides: flashpeak-slimjet = %version-%release
#-----------------------------------------------------

%description
Slimjet is built on top of the Chromium open-source project on which Google Chrome is also based.
It enjoys the same speed and reliablity provided by the underlying blink engine as Google Chrome.
However, many additional features and options have been added in Slimjet to make it more powerful,
intelligent and customizable than Chrome. In addition to that, Slimjet DOES NOT send any usage
statistics back to Google's server like Google Chrome, which is a growing concern for many
Chrome users due to the ubiquitous presence and reach of the advertising empire.


%prep


%build
#nobuild

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


#nosrc
%ifarch x86_64
cd $RPM_BUILD_DIR && wget -nc --no-check-certificate -O - "http://www.slimjet.com/release/slimjet_amd64.tar.xz" | tar -xJf -
%endif
                                

mkdir -p %{buildroot}/opt/%{oname}
cp -R $RPM_BUILD_DIR/%{oname}/* %{buildroot}/opt/%{oname}/


# The SUID sandbox helper binary was found
# but is not configured correctly.
chmod 4755 %buildroot/opt/slimjet/slimjet-sandbox

#start script no kwallet
cp %buildroot/opt/slimjet/flashpeak-slimjet %buildroot/opt/slimjet/flashpeak-slimjet.org
install -m 0755 %SOURCE1 %buildroot/opt/slimjet/flashpeak-slimjet

#Menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/slimjet.desktop

#Icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE3 %buildroot/%{_datadir}/pixmaps/slimjet.png

#Provide better libffmpeg.so
install -m 0755 %SOURCE4 %buildroot/opt/slimjet/libffmpeg.so

#symlink
mkdir -p  %buildroot/%{_bindir}
ln -fs /opt/slimjet/flashpeak-slimjet %buildroot/%{_bindir}/flashpeak-slimjet


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%update_menus
ln -fs /var/lib/dbus/machine-id /etc/machine-id

%postun
%clean_menus


%files
%defattr(-,root,root)
%{_bindir}/flashpeak-slimjet
%dir /opt/%{oname}
/opt/%{oname}/*
%{_datadir}/pixmaps/slimjet.png
%{_datadir}/applications/slimjet.desktop


%changelog
* Thu Jan 25 2024 tex - 42.0.3.0-1pclos2024
- new version

* Sat Dec 09 2023 tex - 42.0.1.0-1pclos2023
- new version

* Sun Oct 29 2023 tex - 41.0.2.0-1pclos2023
- new version

* Fri Oct 20 2023 tex - 41.0.1.0-1pclos2023
- new version

* Fri Aug 25 2023 tex - 40.0.2.0-3pclos2023
- new ffmpeg 0.79.1

* Sun Aug 20 2023 tex - 40.0.2.0-2pclos2023
- new ffmpeg 0.79

* Tue Jul 25 2023 tex - 40.0.2.0-1pclos2023
- new version

* Fri Jul 07 2023 tex - 40.0.1.0-1pclos2023
- new version
